Subject: alsaucm: enoent /usr/share/alsa/ucm, and not in apt-file?!

From: =?utf-8?q?Jonas_K=C3=B6lker?= <[email-masked]>
Date: Mon, 18 Jun 2012 16:04:38 +0200

Package: alsa-utils
Version: 1.0.25-3
Severity: normal

Dear Maintainer,

When I run `alsaucm listcards' (on an almost-fresh install of testing), I get

ALSA lib parser.c:1261:(uc_mgr_scan_master_configs) error: could not scan
directory /usr/share/alsa/ucm: No such file or directory
alsaucm: unable to obtain card list: No such file or directory

Furthermore, `apt-file search alsa/ucm' comes up empty-handed.  It doesn't get
much better with `apt-file search ucm | grep -i alsa', which only finds one
file, /usr/bin/alsaucm.  Now, `apt-file search ucm' finds stuff, but none of
it looks promising.  (`apt-file update' has been run within the hour.)

I'd think that if a package needs a file, than file is packaged :-)

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages alsa-utils depends on:
ii  kmod            8-2
ii  libasound2      1.0.25-3
ii  libc6           2.13-33
ii  libncursesw5    5.9-8
ii  libsamplerate0  0.1.8-4
ii  libtinfo5       5.9-8
ii  lsb-base        4.1+Debian6
ii  whiptail        0.52.14-10

Versions of packages alsa-utils recommends:
ii  alsa-base  1.0.23+dfsg-4
ii  pciutils   1:3.1.9-3

alsa-utils suggests no packages.

-- no debconf information